Error subclass:#TimeoutError
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'Kernel-Exceptions'
!

!TimeoutError class methodsFor:'documentation'!

documentation
"
    TimeoutError may be raised, when a timeout on some operation occures.
    It is recommended to perform the operation in a while-loop, and to raise the
    exception proceedable, in order to retry the operation or wait
    by proceeding the exception.

    [author:]
        Stefan Vogel

    [instance variables]
        parameter      value of the timer in seconds

"
! !

!TimeoutError class methodsFor:'initialization'!

initialize

    NotifierString := 'timeout occured'.

    "
     self initialize
    "


! !

!TimeoutError class methodsFor:'queries'!

mayProceed

    ^ true



! !

!TimeoutError class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/libbasic/TimeoutError.st,v 1.1 1999-10-18 21:05:39 stefan Exp $'
! !
TimeoutError initialize!
